<template>
  <span class="modal_1">
    <!-- Details Button -->
    <button v-on:click="AddDetails" class="btn btn-sm t_btn">Add Employee</button>
    <div class="modal"  v-bind:class="{ active: isActive }" id="modal-id">
      <a class="modal-overlay" aria-label="Close"></a>
      <div class="modal-container " id ="modalContainer" v-bind:class="{ inactive: display_2 }">
        <div class="modal-header" v-bind:class="{ inactive: display_2 }">
          <div class="heading" v-if="display_1">
            <a href="#close" v-on:click="close" class="btn btn-clear float-right close-btn" aria-label="Close"></a>
            <div class="modal-title h5">Add Employee </div>
            <div class="modal-title small_text ">Employee Information</div>
          </div>
          <div class="heading1" v-if="display_2" >
            <p class="alert alert-info info-alert" role="alert" v-bind:class="{ show_success: successful }">{{this.value.first_name}} {{this.value.surname}} has been created</p>
            <a href="#close" v-on:click="close" class="btn btn-clear float-right close-btn" aria-label="Close"></a>
            <div class="modal-title h5">{{this.value.first_name}}  {{this.value.surname}} </div>
            <div class="modal-title small_text1">{{this.value.role}}</div>
          </div>
          <div class="heading" v-if="display_3">
            <a href="#close" v-on:click="close" class="btn btn-clear float-right close-btn" aria-label="Close"></a>
            <div class="modal-title h5">Edit Employee </div>
              <div class="modal-title small_text ">Employee Information</div>
          </div>
        </div>
        <div class="modal-body" v-bind:class="{ inactive: display_2 }">
          <div class="modal_content" id="content">
            <!-- content here -->
            <Form3 :currentEmployee=currentEmployee v-if="display_3"/>
            <Form @submit="populateShowPage"  v-if="display_1"/>
            <Form2 @submit="populateEditForm" :value=value v-if="display_2" />
          </div>
        </div>
       </div>
      </div>
    </span>
</template>

<script>

import Form from './create-employee.vue'
import Form2 from './show-employee.vue'
import Form3 from './edit-employee.vue'
export default {
    name:'modal_1',
      components: {
      Form, Form2, Form3
  },
    
        data:function(){
          return{
            successful: false,
            currentEmployee:'',
            display_1:true,
            display_2:false,
            display_3:false,
            title: '',
            first_name: ' ',
            surname: ' ',
            middle_name: ' ',
            email: ' ',
            country: ' ',
            phone: ' ',
            address: ' ',
            state: ' ',
            dob: ' ',
            role: ' ',
            gender: ' ',
            marital_status: ' ',
            children: ' ',
            dependents: ' ',
            value:"",
            isActive :false,
            count: 0,
            showForm:false
       }  
    },
    // define methods under the `methods` object
    methods: {
      AddDetails: function (event) {
        this.isActive=true,
        this.showForm =true
                     
      },
      close:function (event) {
        this.isActive=false
        this.display_2=false;
        this.display_3=false;
        this.display_1=true;
        //window.location.reload();
      },
      populateShowPage:function(employee){
        this.value=employee;
        // this.id=employee.id;
        // this.title=employee.title;
        // this.first_name=employee.first_name;
        // this.middle_name=employee.middle_name;
        // this.surname=employee.surname;
        // this.gender=employee.gender;
        // this.marital_status=employee.marital_status;
        // this.role=employee.role;
        // this.gender=employee.gender;
        // this.address=employee.address;
        // this.country=employee.country;
        // this.state=employee.state;
        // this.children=employee.children;
        // this.dependents=employee.dependents;
        console.log(this.value +"nullllll");
        this.display_1=false;
        this.display_2=true;
        setTimeout (()=> {
        this.successful = true }, 3000);
        },

      populateEditForm:function(currentEmployee, display1, display2){
      this.display_3=display1,
      this.display_2=display2,
      this.currentEmployee=currentEmployee;
      }}
      }

</script>
<style >

</style>